DtEditorUndoEdit(library call)

NAME
DtEditorUndoEdit — undo the last edit made to the text in a DtEditor widget

SYNOPSIS

#include &<Dt/Editor.h>
Boolean DtEditorUndoEdit(
Widget widget);

DESCRIPTION

The DtEditorUndoEdit function undoes the last change (deletion or insertion) made to the text in a DtEditor widget. A change consists of either a set of consecutive insertions, or a set of consecutive deletions followed by up to one set of consecutive insertions. An insertion is consecutive if there have been no intervening deletions, and it is continuing forward from the same point. A deletion is consecutive if there have been no intervening insertions, and its start or end position is coincidental with the last deletion (that is, the deletion is continuing from the same point, either forward or backward). Undoing an edit once restores the original text. Undoing an edit twice restores the last change.

The widget argument specifies the DtEditor widget ID.

For a complete definition of the DtEditor widget and its associated resources, see DtEditor(3).

RETURN VALUE

Upon successful completion, the DtEditorUndoEdit function returns True; otherwise, if there is no pending undo it returns False.

SEE ALSO

Dt/Editor.h - DtEditor(5), DtEditor(3).